## telepathy-butterfly 0.3.1

=== wscript ===
#!/usr/bin/env python

VERSION = '0.3.1'
APPNAME = 'telepathy-butterfly'

srcdir = '.'
blddir = '_build_'

import Scripting

Scripting.g_gz = 'gz'
Scripting.g_excludes.extend(['pymsn', 'telepathy', 'dist'])


def set_options(opt):
    opt.tool_options('python')
    opt.tool_options('gnu_dirs', 'tools')

def configure(conf):
    conf.check_tool('python misc')
    conf.check_tool('gnu_dirs', 'tools')

    conf.check_python_version()

    conf.define('VERSION', VERSION)
    conf.define('PACKAGE', APPNAME)

def build(bld):
    bld.add_subdirs('butterfly data')
    install_files('LIBEXECDIR', '', 'telepathy-butterfly', chmod=0755)

=== butterfly/wscript ===
#! /usr/bin/env python

import os.path

def build(bld):
    src_loc = ['.', 'util', 'channel']
    for loc in src_loc:
        obj = bld.create_obj('py')
        obj.find_sources_in_dirs(loc)
        obj.inst_dir = os.path.join('butterfly', loc)

=== data/wscript ===
#!/usr/bin/env python

def build(bld):
	import Common
	obj_rep = bld.create_obj('subst')
	obj_rep.source = 'org.freedesktop.Telepathy.ConnectionManager.butterfly.service.in'
	obj_rep.target = 'org.freedesktop.Telepathy.ConnectionManager.butterfly.service'

	Common.install_files('DATADIR', 'telepathy/managers/', 'butterfly.manager')
	Common.install_files('DATADIR', 'dbus-1/services/',
	        'org.freedesktop.Telepathy.ConnectionManager.butterfly.service')

## telepathy-butterfly 0.3.2

=== wscript ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/env python
 
-VERSION = '0.3.1'
+VERSION = '0.3.2'
 APPNAME = 'telepathy-butterfly'
 
 srcdir = '.'

## telepathy-butterfly 0.5.0

=== wscript ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/env python
 
-VERSION = '0.3.2'
+VERSION = '0.5.0'
 APPNAME = 'telepathy-butterfly'
 
 srcdir = '.'

## telepathy-butterfly 0.5.1

=== wscript ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/env python
 
-VERSION = '0.5.0'
+VERSION = '0.5.1'
 APPNAME = 'telepathy-butterfly'
 
 srcdir = '.'

## telepathy-butterfly 0.5.2

=== wscript ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/env python
 
-VERSION = '0.5.1'
+VERSION = '0.5.2'
 APPNAME = 'telepathy-butterfly'
 
 srcdir = '.'

=== butterfly/wscript ===
--- 
+++ 
@@ -3,7 +3,7 @@
 import os.path
 
 def build(bld):
-    src_loc = ['.', 'util', 'channel']
+    src_loc = ['.', 'util', 'channel', 'media']
     for loc in src_loc:
         obj = bld.create_obj('py')
         obj.find_sources_in_dirs(loc)

## telepathy-butterfly 0.5.3

=== wscript ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/env python
 
-VERSION = '0.5.2'
+VERSION = '0.5.3'
 APPNAME = 'telepathy-butterfly'
 
 srcdir = '.'

## telepathy-butterfly 0.5.15

=== debian/changelog ===
telepathy-butterfly (0.5.15-1) experimental; urgency=low

  * New upstream release.
    - Should works with papyon 0.5.4 (Closes: #609358)
  * debian/control:
    - Bump debhelper version to 8
    - Bump python-telepathy and python-papyon dependencies
  * debian/compat: Bump compat version to 8
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/patches/0001-remove_bad_import.patch: Fix bad import

 -- Laurent Bigonville <bigon@debian.org>  Tue, 11 Jan 2011 20:01:10 +0100

telepathy-butterfly (0.5.14-1) experimental; urgency=low

  * New upstream release.
  * debian/control: Use Breaks instead of Conflitcs

 -- Laurent Bigonville <bigon@debian.org>  Mon, 20 Sep 2010 10:41:05 +0200

telepathy-butterfly (0.5.13-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.1 (no further changes)
    - Bump python-papyon dependency

 -- Laurent Bigonville <bigon@debian.org>  Thu, 19 Aug 2010 17:00:56 +0200

telepathy-butterfly (0.5.12-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Upped dep on papyon to 0.4.9.

 -- Jonny Lamb <jonny@debian.org>  Sun, 11 Jul 2010 13:10:01 +0100

telepathy-butterfly (0.5.11-1) unstable; urgency=low

  * New upstream release.

 -- Jonny Lamb <jonny@debian.org>  Tue, 08 Jun 2010 16:04:10 +0100

telepathy-butterfly (0.5.10-1) unstable; urgency=low

  * New upstream release.
  * Add debian/source/format file with version 1.0

 -- Laurent Bigonville <bigon@debian.org>  Sun, 23 May 2010 00:21:14 +0200

telepathy-butterfly (0.5.9-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Added Recommends: python-libproxy.

 -- Jonny Lamb <jonny@debian.org>  Sat, 24 Apr 2010 12:46:33 +0100

telepathy-butterfly (0.5.8-1) unstable; urgency=low

  * New upstream release.

 -- Jonny Lamb <jonny@debian.org>  Thu, 08 Apr 2010 15:03:52 +0100

telepathy-butterfly (0.5.7-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Updated.
  * debian/rules: Updated now that butterfly uses autoconf and automake.
  * debian/control:
    + Upped Standards-Version. (no changes)
    + Added a conflicts on empathy << 2.30 due to the removal of network
      IDs from contact IDs.
    + Decreased debhelper build-dep from 7 to 5.
  * debian/compat: Move from 7 back to 5 as we don't actually use any dh7
    features.

 -- Jonny Lamb <jonny@debian.org>  Sun, 04 Apr 2010 00:07:42 +0100

telepathy-butterfly (0.5.6-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Upped dependency on python-telepathy.
    + Removed inactive maintainers from Uploaders.
    + Removed a/v from description now that it's been disabled.

 -- Jonny Lamb <jonny@debian.org>  Fri, 12 Mar 2010 23:49:19 +0000

telepathy-butterfly (0.5.4-1) unstable; urgency=low

  * New upstream release.
  * debian/gbp.conf: Removed no-create-orig line.
  * debian/control: Removed python-all-dev build-dep.

 -- Jonny Lamb <jonny@debian.org>  Sun, 24 Jan 2010 12:03:02 +0000

telepathy-butterfly (0.5.3-1) unstable; urgency=low

  * New upstream release

 -- Laurent Bigonville <bigon@debian.org>  Wed, 28 Oct 2009 22:24:02 +0100

telepathy-butterfly (0.5.2-1) unstable; urgency=low

  * New upstream release
    - Implement offline messages support (Closes: #534292)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 21 Oct 2009 20:41:48 +0200

telepathy-butterfly (0.5.1-1) unstable; urgency=low

  * New upstream release (Closes: #526376)
  * debian/control:
    - Bump python-telepathy version
    - Bump papyon version
    - Add the fact that telepathy-butterfly supports audio/video chat \o/

 -- Laurent Bigonville <bigon@debian.org>  Tue, 15 Sep 2009 12:07:19 +0200

telepathy-butterfly (0.5.0-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Bump Standards-Version to 3.8.3 (no further changes)
    - Replace python-msn by python-papyon
    - Bump python-telepathy version
    - Bump debhelper version
    - Bump minimal python version to 2.5

 -- Laurent Bigonville <bigon@debian.org>  Mon, 17 Aug 2009 13:35:49 +0200

telepathy-butterfly (0.3.4-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.8.1
    - Drop XS-Dm-Upload-Allowed: yes
  * debian/copyright: Update copyright file

 -- Laurent Bigonville <bigon@debian.org>  Wed, 17 Jun 2009 15:03:35 +0200

telepathy-butterfly (0.3.3-2) unstable; urgency=low

  * debian/control: Use my @debian.org email address.

 -- Jonny Lamb <jonny@debian.org>  Mon, 16 Feb 2009 11:01:09 +0000

telepathy-butterfly (0.3.3-1) experimental; urgency=low

  [ Simon McVittie ]
  * Standards-Version: 3.8.0 (add README.source)
  * Move to git
  * Use Laurent's debian.org address in Uploaders

  [ Laurent Bigonville ]
  * New Upstream Version
    - Bump python-telepathy dependency

 -- Laurent Bigonville <bigon@debian.org>  Thu, 08 Jan 2009 14:02:44 +0100

telepathy-butterfly (0.3.2-1) experimental; urgency=low

  * New upstream release. (Closes: #492172)

 -- Jonny Lamb <jonnylamb@jonnylamb.com>  Thu, 24 Jul 2008 10:43:28 +0100

telepathy-butterfly (0.3.1-2) unstable; urgency=low

  [ Simon McVittie ]
  * Wrap Uploaders
  * Use my debian.org address
  * Build the upload with current python-central, moving source files into
    /usr/share/pyshared as a result (Closes: #490508)

  [ Laurent Bigonville ]
  * debian/control: Depend on python (>= 2.5) | python-ctypes instead of just
    python-ctypes

 -- Simon McVittie <smcv@debian.org>  Sat, 12 Jul 2008 13:36:51 +0100

telepathy-butterfly (0.3.1-1) unstable; urgency=low

  [ Jonny Lamb ]
  * Added Vcs-Bzr to control.
  * Added "XS-Dm-Upload-Allowed: yes" under the request of Sjoerd Simons.
  * Upped Standards-Version to 3.7.3.
  * Updated copyright.
  * Added myself to Uploaders.
  * Removed dh_python from rules -- it's now obsolete.

  [ Laurent Bigonville ]
  * New upstream release (0.3.1)
  * Add watch file
  * debian/control:
    - Add myself as an Uploaders


=== debian/control ===
Source: telepathy-butterfly
Section: net
Priority: optional
XS-Python-Version: >= 2.5
Maintainer: Debian Telepathy maintainers <pkg-telepathy-maintainers@lists.alioth.debian.org>
Uploaders: Dafydd Harries <daf@debian.org>,
           Simon McVittie <smcv@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>,
           Jonny Lamb <jonny@debian.org>,
           Laurent Bigonville <bigon@debian.org>
Build-Depends: cdbs, debhelper (>= 8)
Build-Depends-Indep: pkg-config, python-central (>= 0.5), libdbus-1-dev
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-telepathy/telepathy-butterfly.git
Vcs-Browser: http://git.debian.org/?p=pkg-telepathy/telepathy-butterfly.git

Package: telepathy-butterfly
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-dbus, python-gobject, python-telepathy (>= 0.15.19), python-papyon (>= 0.5.3)
Breaks: empathy (<< 2.30)
XB-Python-Version: ${python:Versions}
Recommends: python-libproxy (>= 0.3.1)
Provides: telepathy-connection-manager
Description: MSN connection manager for Telepathy
 MSN connection manager for telepathy that handles presence, personal
 messages, conversations, avatars, and groups.

=== debian/rules ===
#!/usr/bin/make -f

DEB_AUTO_CLEANUP_RCS := yes
DEB_PYTHON_SYSTEM := pycentral
DEB_COMPRESS_EXCLUDE := .py

include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_CONFIGURE_EXTRA_FLAGS := --libexecdir=/usr/lib/telepathy

binary-install/telepathy-butterfly::
	dh_pycentral

# List any files which are not installed
include /usr/share/cdbs/1/rules/utils.mk
common-binary-post-install-arch:: list-missing

include $(CURDIR)/debian/update-patches.mk

=== debian/watch ===
version=3
http://telepathy.freedesktop.org/releases/telepathy-butterfly/telepathy-butterfly-(.*).tar.gz
